Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IIncludedFeatureReference

All Superinterfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment

All Known Implementing Classes:
  IncludedFeatureReference

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IIncludedFeatureReference

extends IFeatureReference, IAdaptable

Included Feature reference. A reference to a included feature.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0.1
See Also:
  `FeatureReference`

Method Summary
`IFeature` `getFeature()` Deprecated. use getFeature(IProgressMonitor)
`IFeature` `getFeature(boolean perfectMatch, IConfiguredSite configuredSite)` Deprecated. use getFeature(IProgressMonitor)
`IFeature` `getFeature(boolean perfectMatch, IConfiguredSite configuredSite, IProgressMonitor monitor)` Deprecated. use getFeature(IProgressMonitor)
`int` `getMatch()` Deprecated. since 3.0 included feature version is exactly specified
`int` `getSearchLocation()` Deprecated. Returns the search location for this included feature.
`boolean` `isOptional()` Deprecated. Returns `true` if the feature is optional, `false` otherwise.

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getFeature, getName, getSite, getURL, getVersionedIdentifier, isPatch, setSite, setURL`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Method Detail

### getFeature

    IFeature getFeature()
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor)

  Returns the referenced feature. This is a factory method that creates the full feature object. equivalent to getFeature(false,null);

  Specified by:
    `getFeature` in interface `IFeatureReference`
  Returns:
    the referenced feature
  Throws:
    `CoreException`
  Since:
    2.0

### getFeature

    IFeature getFeature(boolean perfectMatch,
                        IConfiguredSite configuredSite)
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor)

  Returns the referenced feature. This is a factory method that creates the full feature object.

  Parameters:
    `perfectMatch` - `true` if the perfect match feature feature should be returned `false` if the best match feature should be returned.
    `configuredSite` - the configured site to search for the Feature. If the configured site is `null` the search will be done in the current configured site.
  Returns:
    the referenced feature instead
  Throws:
    `CoreException`
  Since:
    2.0.2 Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getFeature

    IFeature getFeature(boolean perfectMatch,
                        IConfiguredSite configuredSite,
                        IProgressMonitor monitor)
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor)

  Returns the referenced feature. This is a factory method that creates the full feature object.

  Parameters:
    `perfectMatch` - `true` if the perfect match feature feature should be returned `false` if the best match feature should be returned.
    `configuredSite` - the configured site to search for the Feature. If the configured site is `null` the search will be done in the current configured site.
    `monitor` - the progress monitor
  Returns:
    the referenced feature
  Throws:
    `CoreException`
  Since:
    2.1 Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### isOptional

    boolean isOptional()

  Deprecated.
  Returns `true` if the feature is optional, `false` otherwise.

  Returns:
    boolean
  Since:
    2.0.1

### getMatch

    int getMatch()

  Deprecated. since 3.0 included feature version is exactly specified

  Returns the matching rule for this included feature. The rule will determine the ability of the included feature to move version without causing the overall feature to appear broken. The default is `RULE_PERFECT`

  Returns:
    int representation of feature matching rule.
  Since:
    2.0.2
  See Also:
    `IUpdateConstants.RULE_PERFECT`, `IUpdateConstants.RULE_EQUIVALENT`, `IUpdateConstants.RULE_COMPATIBLE`, `IUpdateConstants.RULE_GREATER_OR_EQUAL`

### getSearchLocation

    int getSearchLocation()

  Deprecated.
  Returns the search location for this included feature. The location will be used to search updates for this feature. The default is `SEARCH_ROOT`

  Returns:
    int representation of feature searching rule.
  Since:
    2.0.2
  See Also:
    `IUpdateConstants.SEARCH_ROOT`, `IUpdateConstants.SEARCH_SELF`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.